GroovyPagesJspFactory (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages.ext.jsp
[Groovy] Class GroovyPagesJspFactory

    java.lang.Object
      javax.servlet.jsp.JspFactory
          org.codehaus.groovy.grails.web.pages.ext.jsp.GroovyPagesJspFactory

    abstract class GroovyPagesJspFactory
    extends javax.servlet.jsp.JspFactory

Authors:
  Graeme Rocher

Since:
  1.0

Method Summary
`javax.servlet.jsp.JspEngineInfo` | `getEngineInfo()`
`javax.servlet.jsp.PageContext` | `getPageContext(javax.servlet.Servlet servlet, javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse, java.lang.String s, boolean b, int i, boolean b1)`
`protected java.lang.String` | `getSpecificationVersion()`
`void` | `releasePageContext(javax.servlet.jsp.PageContext pageContext)`

Methods inherited from class javax.servlet.jsp.JspFactory
javax.servlet.jsp.JspFactory#getPageContext(javax.servlet.Servlet, javax.servlet.ServletRequest, javax.servlet.ServletResponse, java.lang.String, boolean, int, boolean), javax.servlet.jsp.JspFactory#setDefaultFactory(javax.servlet.jsp.JspFactory), javax.servlet.jsp.JspFactory#getDefaultFactory(), javax.servlet.jsp.JspFactory#releasePageContext(javax.servlet.jsp.PageContext), javax.servlet.jsp.JspFactory#getEngineInfo(), javax.servlet.jsp.JspFactory#wait(long, int), javax.servlet.jsp.JspFactory#wait(long), javax.servlet.jsp.JspFactory#wait(), javax.servlet.jsp.JspFactory#equals(java.lang.Object), javax.servlet.jsp.JspFactory#toString(), javax.servlet.jsp.JspFactory#hashCode(), javax.servlet.jsp.JspFactory#getClass(), javax.servlet.jsp.JspFactory#notify(), javax.servlet.jsp.JspFactory#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getEngineInfo

    javax.servlet.jsp.JspEngineInfo getEngineInfo()

### getPageContext

    javax.servlet.jsp.PageContext getPageContext(javax.servlet.Servlet servlet, javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse, java.lang.String s, boolean b, int i, boolean b1)

### getSpecificationVersion

    protected java.lang.String getSpecificationVersion()

### releasePageContext

    void releasePageContext(javax.servlet.jsp.PageContext pageContext)

Groovy Documentation